package com.inkasso.factoring.financingmanagement.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.inkasso.adapter.bean.BaseBean;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 融资申请-应收账款历史信息表
 * </p>
 *
 * @author liutao
 * @since 2023-12-19
 */
@TableName("c_financing_his_accounts_receivable_info")
public class CFinancingHisAccountsReceivableInfo extends BaseBean {

    private static final long serialVersionUID = 1L;

    /**
     * 融资管理历史信息表ID
     */
    @TableField("c_financing_his_info_id")
    private Long financingHisInfoId;

    /**
     * 验收单基础信息表ID
     */
    @TableField("acceptance_basic_info_id")
    private Long acceptanceBasicInfoId;

    /**
     * 验收单货物信息表ID
     */
    @TableField("acceptance_goods_info_id")
    private Long acceptanceGoodsInfoId;

    /**
     * 验收单编号
     */
    @TableField("acceptance_goods_number")
    private String acceptanceGoodsNumber;

    /**
     * 验收日期
     */
    @TableField("acceptance_date")
    private Date acceptanceDate;

    /**
     * 预计结算日期
     */
    @TableField("expected_settlement_date")
    private Date expectedSettlementDate;

    /**
     * 货物名称
     */
    @TableField("goods_name")
    private String goodsName;

    /**
     * 厂家
     */
    @TableField("goods_factory")
    private String goodsFactory;

    /**
     * 型号
     */
    @TableField("goods_type")
    private String goodsType;

    /**
     * 单位
     */
    @TableField("goods_unit")
    private String goodsUnit;

    /**
     * 数量
     */
    @TableField("goods_quantity")
    private BigDecimal goodsQuantity;

    /**
     * 应收账款金额
     */
    @TableField("accounts_receivable_amount")
    private BigDecimal accountsReceivableAmount;

    /**
     * 应收账款净额
     */
    @TableField("net_accounts_receivable_amount")
    private BigDecimal netAccountsReceivableAmount;

    public Long getFinancingHisInfoId() {
        return financingHisInfoId;
    }

    public void setFinancingHisInfoId(Long financingHisInfoId) {
        this.financingHisInfoId = financingHisInfoId;
    }

    public Long getAcceptanceBasicInfoId() {
        return acceptanceBasicInfoId;
    }

    public void setAcceptanceBasicInfoId(Long acceptanceBasicInfoId) {
        this.acceptanceBasicInfoId = acceptanceBasicInfoId;
    }

    public Long getAcceptanceGoodsInfoId() {
        return acceptanceGoodsInfoId;
    }

    public void setAcceptanceGoodsInfoId(Long acceptanceGoodsInfoId) {
        this.acceptanceGoodsInfoId = acceptanceGoodsInfoId;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsFactory() {
        return goodsFactory;
    }

    public void setGoodsFactory(String goodsFactory) {
        this.goodsFactory = goodsFactory;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public BigDecimal getGoodsQuantity() {
        return goodsQuantity;
    }

    public void setGoodsQuantity(BigDecimal goodsQuantity) {
        this.goodsQuantity = goodsQuantity;
    }

    public BigDecimal getAccountsReceivableAmount() {
        return accountsReceivableAmount;
    }

    public void setAccountsReceivableAmount(BigDecimal accountsReceivableAmount) {
        this.accountsReceivableAmount = accountsReceivableAmount;
    }

    public BigDecimal getNetAccountsReceivableAmount() {
        return netAccountsReceivableAmount;
    }

    public void setNetAccountsReceivableAmount(BigDecimal netAccountsReceivableAmount) {
        this.netAccountsReceivableAmount = netAccountsReceivableAmount;
    }

    public String getAcceptanceGoodsNumber() {
        return acceptanceGoodsNumber;
    }

    public void setAcceptanceGoodsNumber(String acceptanceGoodsNumber) {
        this.acceptanceGoodsNumber = acceptanceGoodsNumber;
    }

    public Date getAcceptanceDate() {
        return acceptanceDate;
    }

    public void setAcceptanceDate(Date acceptanceDate) {
        this.acceptanceDate = acceptanceDate;
    }

    public Date getExpectedSettlementDate() {
        return expectedSettlementDate;
    }

    public void setExpectedSettlementDate(Date expectedSettlementDate) {
        this.expectedSettlementDate = expectedSettlementDate;
    }
}
